%define builtin_release_version 5 
%define builtin_release_name October 
%define builtin_release_variant 4
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define current_arch %{_arch}
%ifarch i386
%define current_arch x86
%endif
Summary: Enterprise Linux release file
Name: enterprise-release
Version: 4
Release: 3.7.17
Epoch: 6 
License: GPL
Group: System Environment/Base
Source: enterprise-release-%{version}.tar.gz
Obsoletes: rawhide-release redhat-release-as redhat-release-es redhat-release-ws
Obsoletes: redhat-release-de tao-release whitebox-release redhat-release oracle-release
Obsoletes: anaconda-product

Provides: redhat-release

BuildRoot: %{_tmppath}/redhat-release-root

%description
System release and information files

%prep
%setup -q -n enterprise-release-%{version}

%%build 
python -c "import py_compile; py_compile.compile('eula.py')"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "Enterprise Linux Enterprise Linux AS release 4 (%{real_release_name} Update 9)" > $RPM_BUILD_ROOT/etc/enterprise-release
echo "Red Hat Enterprise Linux AS release 4 (Nahant Update 9)" > $RPM_BUILD_ROOT/etc/redhat-release
cp $RPM_BUILD_ROOT/etc/enterprise-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue

mkdir -p $RPM_BUILD_ROOT/usr/share/firstboot/modules
cp eula.py* $RPM_BUILD_ROOT/usr/share/firstboot/modules

mkdir -p $RPM_BUILD_ROOT/usr/share/eula
cp eula.[!py]* $RPM_BUILD_ROOT/usr/share/eula

mkdir -p $RPM_BUILD_ROOT/var/lib
cp supportinfo $RPM_BUILD_ROOT/var/lib/supportinfo

mkdir -p -m 755 $RPM_BUILD_ROOT/etc/sysconfig/rhn
install -m 644 sources $RPM_BUILD_ROOT/etc/sysconfig/rhn

%clean
rm -rf $RPM_BUILD_ROOT

# If this is the first time a package containing /etc/issue
# is installed, we want the new files there. Otherwise, we
# want %config(noreplace) to take precedence.
%triggerpostun  -- redhat-release < 7.1.93-1
if [ -f /etc/issue.rpmnew ] ; then
   mv -f /etc/issue /etc/issue.rpmsave
   mv -f /etc/issue.rpmnew /etc/issue
fi
if [ -f /etc/issue.net.rpmnew ] ; then
   mv -f /etc/issue.net /etc/issue.net.rpmsave
   mv -f /etc/issue.net.rpmnew /etc/issue.net
fi

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/enterprise-release
%attr(0644,root,root) /etc/redhat-release
%doc R*
%doc EULA GPL enterprisedocs-man.css blafdoc.css
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/sources
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
/var/lib/supportinfo
/usr/share/firstboot/modules/eula.py*
/usr/share/eula/eula.*

%changelog
* Mon Feb 21 2011 Keshav Sharma <keshav,sharma@oracle.com> 4-3.7.17
- Updated release notes to fix kernel version.

* Fri Feb 18 2011 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.16
- Updated release notes for Update 9 (keshav.sharma@oracle.com)
- Other updates for OEL4U9

* Wed May 20 2009 Keshav Sharma <keshav.sharma@oracle.com> 4-3.7.15
- Updated release notes for Update 8

* Tue May 19 2009 Tianyue Lan <tianyue.lan@oracle.com> 4-3.7.14
- Update for OEL4U8 GA

* Tue Mar 17 2009 Mike Xiao<mike.xiao@oracle.com> 4-3.7.13
- Update for OEL4U8 Beta

* Fri Feb 13 2009 Mike Xiao<mike.xiao@oracle.com> 4-3.7.12
- Updated release file contents

* Wed Jul 30 2008 Keshav Sharma <keshav.sharma@oracle.com> 4-3.7.11
- Update release notes for EL4 U7 and added blafdoc.css

* Mon Jul 28 2008 Keshav Sharma <keshav.sharma@oracle.com> 4-3.7.10
- Update release notes for EL4 U7

* Sun Jul 27 2008 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.9
- Update for OEL4 U7

* Mon Jun 09 2008 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.8
- Update for OEL4 U7 Beta

* Tue Nov 20 2007 Van Okamura <van.okamura@oracle.com> 4-3.7.7
- Update release notes for EL4 U6

* Tue Nov 20 2007 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.7
- Update for EL4 U6

* Mon Aug 13 2007 Kevin Lyons <kevin.x.lyons@oracle.com> 4-3.7.6
- Altered the provides portion of the spec file to resolve problem
- that allows user to install EL5 oracle-validated package on EL4

* Mon Jul  9 2007 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.5
- Update new license, EULA and eula.en_US

* Mon May  8 2007 Srinivas Maturi <srinivas.maturi@oracle.com> 4-3.7.4
- Update RPM-GPG-KEY and RPM-GPG-KEY-enterprise

* Mon May  7 2007 Philip Copeland <philip.copeland@oracle.com> 4-3.7.3
- Unprintable character on first line made the display drop the first 
  line of the licence agreement and updated release notes.

* Thu Mar 22 2007 Philip Copeland <philip.copeland> 4-3.7.2
- spec file change to mentio this is update 5 not 4

* Mon Dec 11 2006 Philip Copeland <philip.copeland> 4-3.7.1
- Add Provides: redhat-release as some 3rd party packages
  use it as a means to identify RH EL4 instead of /etc/*release

* Tue May 24 2006 Philip Copeland <philip.copeland>
- new license 

* Mon May 22 2006 Philip Copeland <philip.copeland>
- obsolete anacond-product

* Mon May 22 2006 Philip Copeland <philip.copeland>
- Oracleized

* Mon Jan  2 2006 Johnny Hughes <johnny@centos.org>
- Modified to obsolete and provide redhat-release instead
  of just providing it.
- Modified to config(noreplace) /etc/issue and /etc/issue.net

* Sun Oct  9 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.2 Final 

* Sun Apr 10 2005 Johnny Hughes <johnny@centos.org>
- Initial release for CentOS-4.1 final

* Sun Feb 27 2005 Johnny Hughes <johnny@centos.org>
- added new release notes for CentOS-4 final
